---@enum EGodMode
local EGodMode = {
    Off = 0,
    Vehicle = 1,
    Players = 2,
    VehicleAndPlayers = 3,
    EGodMode_MAX = 4,
}

---@enum EJoinOptions
local EJoinOptions = {
    JO_AllJoin = 0,
    JO_InviteOnly = 1,
    JO_Default = 0,
    JO_MAX = 2,
}

---@enum EPSOBatchMode
local EPSOBatchMode = {
    PSOBM_Background = 0,
    PSOBM_Fast = 1,
    PSOBM_Precompile = 2,
    PSOBM_MAX = 3,
}

---@enum ERGNetworkFailureType
local ERGNetworkFailureType = {
    NFT_Unknown = 0,
    NFT_NetworkFailure = 1,
    NFT_TravelFailure = 2,
    NFT_CustomFailure = 3,
    NFT_MAX = 4,
}

---@enum ERGOnJoinSessionCompleteResult
local ERGOnJoinSessionCompleteResult = {
    Success = 0,
    SessionIsFull = 1,
    SessionDoesNotExist = 2,
    CouldNotRetrieveAddress = 3,
    AlreadyInSession = 4,
    UnknownError = 5,
    ERGOnJoinSessionCompleteResult_MAX = 6,
}

---@enum ERGOnlineNicknameType
local ERGOnlineNicknameType = {
    Steam = 0,
    Null = 1,
    ERGOnlineNicknameType_MAX = 2,
}

---@enum ERGOnlinePresenceState
local ERGOnlinePresenceState = {
    Online = 0,
    Offline = 1,
    Away = 2,
    ExtendedAway = 3,
    DoNotDisturb = 4,
    Chat = 5,
    ERGOnlinePresenceState_MAX = 6,
}

---@enum ESoundOptionType
local ESoundOptionType = {
    E_Master = 0,
    E_Ambient = 1,
    E_Music = 2,
    E_Effects = 3,
    E_UI = 4,
    E_MAX = 5,
}

---@enum EStartAsDriver
local EStartAsDriver = {
    Off = 0,
    ServerDrives = 1,
    ClientDrives = 2,
    EStartAsDriver_MAX = 3,
}

---@enum EUnknownBool
local EUnknownBool = {
    UB_Unknown = 0,
    UB_True = 1,
    UB_False = 2,
    UB_MAX = 3,
}

---@enum EVOIPMode
local EVOIPMode = {
    EVOIPM_PushToTalk = 0,
    EVOIPM_ToggleToTalk = 1,
    EVOIPM_Auto = 2,
    EVOIPM_MAX = 3,
}

